USB_INIT_URB(9)

NAME
usb_init_urb - initializes a urb so that it can be used by a USB driver

SYNOPSIS

void usb_init_urb(struct urb * urb);

ARGUMENTS

urb
    pointer to the urb to initialize

DESCRIPTION

Initializes a urb so that the USB subsystem can use it properly.

If a urb is created with a call to usb_alloc_urb it is not necessary to call this function. Only use this if you allocate the space for a struct urb on your own. If you call this function, be careful when freeing the memory for your urb that it is no longer in use by the USB core.

Only use this function if you _really_ understand what you are doing.

COPYRIGHT